#ifndef FLOPPOTRON_FLOPPY_H
#define FLOPPOTRON_FLOPPY_H


#ifdef __cplusplus
extern "C" {
#endif

    /**
     * Функция инициализации флоппи-приводов, нужно вызывать после запуска таймера тактирования и перед запуском таймера мелодии
     */
    void FloppyDriveInitialize();

    /**
     * Функция, вызываемая в прерывании таймера несущей частоты
     */
    void FloppySoundTickHandler();

    /**
     * Функция, вызываемая в прерывании таймера времени (по умолчанию должно быть время 100bpm)
     */
    void FloppyTrackTick();
#ifdef __cplusplus
};
#endif

#endif //FLOPPOTRON_FLOPPY_H
